<template>
    <div class="itemContainer">
        <div class="itemImage">
            <img src="https://www.remconexcavating.com/images/about-crew.jpg">
        </div>
        <div class="itemContent">
            <div class="ItemContentHeader">
                <h4>Wyróżnione</h4>
                <span class="serduszkaSection">
                    <iconHeart/>
                    <p>31</p>
                    <iconShare/>
                    <p>12</p>
                    <IconBookmark/>
                </span>
            </div>
            <div class="mainHeader">
                <h1>REMCON NAJLEPSZYM KONWENTEM</h1>
            </div>
            <div class="desc">
                <p>
                    Lorem ipsum dolor sit amet, consectetur
                    adipiscing elit, sed do eiusmod tempor
                    incididunt ut labore et dolore magna
                    aliqua. Ut enim ad minim veniam, quis
                    nostrud exercitation...
                </p>
            </div>
            <div class="footer">
                <p>2 godziny temu</p>
                <p style="color:gray; margin-left: 2rem;">Przez Klikacz Konwenciak | 3min read</p>
            </div>
        </div>
    </div>
</template>

<script>
import iconHeart from '@/components/icons/IconHeart.vue';
import iconShare from '@/components/icons/IconShare.vue';
import IconBookmark from '@/components/icons/IconBookmark.vue';

export default {
    components: {
        iconHeart,
        iconShare,
        IconBookmark,
    }
}

</script>

<style scoped>
.itemContainer {
    display: flex;
    flex-direction: row;
    box-shadow: 0 0 20px rgb(87, 82, 82);
    border-radius: 5px;
}
.itemImage {
    flex: 1;
    width: 50%;
    height: auto;
    border-radius: 5px;
}
.itemImage img {
    width: auto;
    height: 100%;
    max-width: 100%;
    object-fit: cover;
    border-radius: 5px;
}
.itemContent {
    display: flex;
    flex: 1;
    flex-direction: column;
    padding: 1.5rem;
}
.ItemContentHeader {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    color: #F79824;
}
.serduszkaSection {
    display: flex;
    flex-direction: row;
    padding: 1.5rem;
}
.serduszkaSection p {
    margin: 0 1rem;
    color: black;
}
.footer {
    display: flex;
    flex-direction: row;
}
</style>